# @hsmos/message

用于在HSMOS中的子应用在protal/eng/dev框架中发送message消息/messageBox确认框展示/loading，包含按需引入和插件安装两种形式

## 安装

`npm install @hsmos/message`

## 引入

引入时需要传入bus实例，这里不重新new新实例是担心使用混乱，第二参数为是否在框架环境中，可传入子应用的判断条件或确认条件，不传入则使用window.parent !== window判断

```javascript
// 按需引入，需要手动绑定至全局属性和注入

import { message, messageBox } from '@hsmos/message';
app.config.globalProperties['$message'] = message(bus, true);
app.provide('$message', message(bus, true));

app.config.globalProperties['$msgbox'] = messageBox(bus);
app.provide('$msgbox', messageBox(bus));

// 插件引入
import initMessage from '@hsmos/message';
app.use(initMessage, bus, true)

```

## 使用

使用时与element-plus官方一致，会根据是否在框架进行消息发送或者应用提示

```javascript
// message
const $message = inject('$message')
$message({type: 'success', message: '请求成功！'})
$message.warning({message: '请完善数据！'})

// messageBox
const $messagebox = inject('$msgbox')
$messagebox({message: '确认进行此操作？', title: '警告', showClose: false })
$messagebox.confirm('确认进行此操作？', '警告', { showClose: false })

```

## 更新日志

* v1.0.8 弹出框添加对应构造函数的类型
* v1.0.6 添加loading统一函数
* v1.0.4 修改打包逻辑，支持esmodule和umd，修改本地提示时组件获取逻辑
* v1.0.2 修改打包模式
* v1.0.1 添加message类型方法函数入参统一逻辑
* v1.0.0 初始化项目，修改测试中出现的bug
