import type { App } from 'vue';
import type EventBus from '@hsmos/event-bus';
import type { Message as MessageFunc, IElMessageBox as MessageBoxFunc, ElMessageBoxOptions, MessageParams, MessageParamsWithType, LoadingOptions } from 'element-plus';
export declare const message: (bus: EventBus, isInIframe?: boolean, localComp?: () => any) => (() => any) | MessageFunc | {
    (options: MessageParams): void;
    warning(options: MessageParamsWithType | string): void;
    success(options: MessageParamsWithType | string): void;
    error(options: MessageParamsWithType | string): void;
    info(options: MessageParamsWithType | string): void;
};
export declare const msgbox: (bus: EventBus, isInIframe?: boolean, localComp?: () => Promise<any>) => (() => Promise<any>) | MessageBoxFunc | {
    (options: ElMessageBoxOptions): Promise<import("@hsmos/event-bus").ApiData<unknown>>;
    confirm(msg: string, titleOrOpt: string | ElMessageBoxOptions, options?: ElMessageBoxOptions): Promise<import("@hsmos/event-bus").ApiData<unknown>>;
    alert(msg: string, titleOrOpt: string | ElMessageBoxOptions, options?: ElMessageBoxOptions): Promise<import("@hsmos/event-bus").ApiData<unknown>>;
    prompt(msg: string, titleOrOpt: string | ElMessageBoxOptions, options?: ElMessageBoxOptions): Promise<import("@hsmos/event-bus").ApiData<unknown>>;
};
export declare const loading: (bus: EventBus, isInIframe?: boolean, localComp?: () => {
    close: () => void;
}) => (() => {
    close: () => void;
}) | {
    service(options: LoadingOptions): {
        close(): void;
    };
};
declare const _default: {
    install: (app: App, bus: EventBus, isInIframe?: boolean) => void;
};
export default _default;
